## org.gnu.gdk
Class GrabStatus

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.GrabStatus

public class GrabStatus
extends Flags

Field Summary
`static GrabStatus` `ALREADY_GRABBED`
`static GrabStatus` `FROZEN`
`static GrabStatus` `INVALID_TIME`
`static GrabStatus` `NOT_VIEWABLE`
`static GrabStatus` `SUCCESS`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`GrabStatus` `and(GrabStatus other)`
`static GrabStatus` `intern(int value)`
`GrabStatus` `or(GrabStatus other)`
`boolean` `test(GrabStatus other)`
`GrabStatus` `xor(GrabStatus other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS

    public static final GrabStatus SUCCESS

### ALREADY_GRABBED

    public static final GrabStatus ALREADY_GRABBED

### INVALID_TIME

    public static final GrabStatus INVALID_TIME

### NOT_VIEWABLE

    public static final GrabStatus NOT_VIEWABLE

### FROZEN

    public static final GrabStatus FROZEN

Method Detail

### intern

    public static GrabStatus intern(int value)

### or

    public GrabStatus or(GrabStatus other)

### and

    public GrabStatus and(GrabStatus other)

### xor

    public GrabStatus xor(GrabStatus other)

### test

    public boolean test(GrabStatus other)